<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('emp_status_master', function (Blueprint $table) {

            $table->bigIncrements('Est_Id');

            $table->string('Est_Code', 20)->nullable();
            $table->string('Est_Name', 50);

            $table->boolean('Is_Active')->default(1);

            $table->timestamps();
            $table->softDeletes(); // deleted_at
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('emp_status_master');
    }
};
